Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Create a payment schedule estimate

Idempotency Supported

Generates an estimate without creating a payment schedule. This endpoint can be called when you want to preview details of a new payment schedule before actually creating one.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/estimates/payment_schedules

Input Parameters

scheme_id
required, string

The unique identifier for the payment_schedule_scheme. This identifier is used to retrieve the payment schedule scheme, which is then applied to calculate the amount and date for the specified number of payment schedules.

amount
optional, in cents, min=0

Defines the payment schedule amount set for an invoice. If this is not provided, the total invoice.amount_due is used. This value is mandatory in case invoice_id is not provided.

invoice_id
optional, string

Unique identifier of the invoice.

payment_schedule_start_date
optional, timestamp(UTC) in seconds

The date from which the payment schedule will start. This is applicable only when invoice_id is not provided. If invoice_id is provided, we will consider invoice.due_date .

Returns

Estimate object
Resource object representing estimate